<!doctype html>
<html lang="en">

    <head>

        <meta charset="utf-8">
        <title>Collection Monitoring</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="Premium Multipurpose Admin & Dashboard Template" name="description">
        <meta content="Themesbrand" name="author">
        <!-- App favicon -->
        <link rel="shortcut icon" href="assets/images/favicon.ico">

        <link href="assets/libs/chartist/chartist.min.css" rel="stylesheet">

        <!-- Bootstrap Css -->
        <link href="assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css">
        <!-- Icons Css -->
        <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css">
        <!-- App Css-->
        <link href="assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css">
	  <link id="themecss" rel="stylesheet" type="text/css" href="shieldui/all.min.css" />
   
    </head>


    <body data-topbar="dark" data-layout="horizontal" data-layout-size="boxed">
        <!-- Begin page -->
        <div id="layout-wrapper">

           <?php include 'header.php';?>
            <div class="topnav">
                <div class="container-fluid">
                   <?php include 'nav.php';?>
                </div>
            </div>

            <!-- ============================================================== -->
            <!-- Start right Content here -->
            <!-- ============================================================== -->
            <div class="main-content">

                <div class="page-content">
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="page-title-box">
                            <div class="row align-items-center">
                                <div class="col-md-8">
                                    <h6 class="page-title">Upload Data</h6>
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                                       
                                        <li class="breadcrumb-item active" aria-current="page">Upload Data</li>
                                    </ol>
                                </div>
                                <div class="col-md-4">
                                    <div class="float-end d-none d-md-block">
                                        <div class="dropdown">
                                            <button class="btn btn-primary btnupload " type="button">
                                                <i class="mdi mdi-upload me-2"></i> Upload XXPP file
                                            </button>
											  <button class="btn btn-primary  dropdown-toggle" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                                <i class="mdi mdi-cog me-2"></i> Settings
                                            </button>
                                            <div class="dropdown-menu dropdown-menu-end">
                                                <a class="dropdown-item" href="#">Action</a>
                                                <a class="dropdown-item" href="#">Another action</a>
												<a class="dropdown-item" href="#">Something else here</a>
                                                <div class="dropdown-divider"></div>
                                                <a class="dropdown-item" href="#">Separated link</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->
						<div class="row">
						
						<div id="grid" style="font-size:12px;"></div>
						</div>


                       
                       

                     

                    </div> <!-- container-fluid -->
                </div>
                <!-- End Page-content -->

                
                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-12">
                                © <script>document.write(new Date().getFullYear())</script> Collection Monitoring <span class="d-none d-sm-inline-block"> - Developed by <i class="mdi mdi-heart text-danger"></i> Rey.</span>
                            </div>
                        </div>
                    </div>
                </footer>


            </div>
            <!-- end main content-->

        </div>
        <!-- END layout-wrapper -->

        <!-- Right Sidebar -->
        <div class="right-bar">
            <div data-simplebar class="h-100">
                <div class="rightbar-title px-3 py-4">
                    <a href="javascript:void(0);" class="right-bar-toggle float-end">
                        <i class="mdi mdi-close noti-icon"></i>
                    </a>
                    <h5 class="m-0">Settings</h5>
                </div>

                <!-- Settings -->
                <hr class="mt-0" />
                <h6 class="text-center">Choose Layouts</h6>

                <div class="p-4">
                    <div class="mb-2">
                        <img src="assets/images/layouts/layout-1.jpg" class="img-fluid img-thumbnail" alt="">
                    </div>
                    <div class="form-check form-switch mb-3">
                        <input type="checkbox" class="form-check-input theme-choice" id="light-mode-switch" checked />
                        <label class="form-check-label" for="light-mode-switch">Light Mode</label>
                    </div>
    
                    <div class="mb-2">
                        <img src="assets/images/layouts/layout-2.jpg" class="img-fluid img-thumbnail" alt="">
                    </div>
                    <div class="form-check form-switch mb-3">
                        <input type="checkbox" class="form-check-input theme-choice" id="dark-mode-switch" data-bsStyle="assets/css/bootstrap-dark.min.css" 
                            data-appStyle="assets/css/app-dark.min.css" />
                        <label class="form-check-label" for="dark-mode-switch">Dark Mode</label>
                    </div>
    
                    <div class="mb-2">
                        <img src="assets/images/layouts/layout-3.jpg" class="img-fluid img-thumbnail" alt="">
                    </div>
                    <div class="form-check form-switch mb-5">
                        <input type="checkbox" class="form-check-input theme-choice" id="rtl-mode-switch" data-appStyle="assets/css/app-rtl.min.css" />
                        <label class="form-check-label" for="rtl-mode-switch">RTL Mode</label>
                    </div>
                    <div class="d-grid">
                        <a href="https://1.envato.market/grNDB" class="btn btn-primary mt-3" target="_blank"><i class="mdi mdi-cart me-1"></i> Purchase Now</a>
                    </div>
                </div>

            </div> <!-- end slimscroll-menu-->
        </div>
        <!-- /Right-bar -->

        <!-- Right bar overlay-->
        <div class="rightbar-overlay"></div>

        <!-- JAVASCRIPT -->
		<form action="" method="POST" enctype="multipart/form-data" class="importfile">
                                      
									    	<input type="file" name="files" accept=".xxpp" class="fileImports" style="display:none;">
									    	<input type="text" value="sds" name="rey" class="fileImport" style="display:none;">
									     
											</form>
      	 <script type="text/javascript" src="shieldui/jquery-1.11.1.min.js"></script>
      	 <script type="text/javascript" src="shieldui/shieldui-all.min.js"></script>
		<script type="text/javascript">
			  $(document).ready(function (e) {
				  
				  
				  
			
				  
			
				
					
				
					$('.btnupload').click(function (e) {
					
					$('.fileImports').click();
				});
				$('.btnImport2').click(function (e) {
					
					$('.fileImports2').click();
				});
					$('.btnImport3').click(function (e) {
					
					$('.fileImports3').click();
				});
				$(".fileImports").change(function(e){
			
						$(".importfile").trigger('submit');
			
			
			
				});
				$(".fileImports2").change(function(e){
			
						$(".importfile2").trigger('submit');
			
			
			
				});
					$(".fileImports3").change(function(e){
			
						$(".importfile3").trigger('submit');
			
			
			
				});
			$(".importfile").on('submit',(function(e) {
			$('.xxpp').show();
			e.preventDefault();
			var validExtensions = ["xxpp","XXPP"];
			var filename = $(".fileImports")[0].files.length ? $(".fileImports")[0].files[0].name : "";
			var validate = filename.split('-');
			if(validate[3] == "COLLECTIONDATA"){
			var file = $(".fileImports").val().split('.').pop();
			if (validExtensions.indexOf(file) == -1) {
				alert("Only formats allowed : "+validExtensions.join(', '));
				$('.xxpp').hide();
			}else{
		 	$.ajax({
			url: "php/import_file.php?import_files=1",      
			type: "POST",             // Type of request to be send, called as method
			data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
			contentType: false,       // The content type used when sending data to the server.
			cache: false,             // To unable request pages to be cached
			processData:false,        // To send DOMDocument or non processed data file it is set to false
			success: function(data)   // A funct	ion to be called if request succeeds
			{
			if($.trim(data) == "2"){
				alert("Sorry, you've already imported.");
					$('.xxpp').hide();
			}
			if($.trim(data) == "1"){
				alert("Sorry, something went wrong. Please relogin.");
				window.location.href="logout.php";
				
			}
			if($.trim(data) == ""){
				alert('dass');
				//window.location.href="success_imported.php";
			}
			
			}
		});   
			}
			}else{
				
				alert("You're using old CustomerAging application. Please download the version 3 and retry.");
				$('.xxpp').hide();
			}
		}));  
		
			
		
	 
		
		});
		</script>
		<script type="text/javascript">
		
    	$(function () {
	
		var d = '';
		var x = [];
		var x2 = [];
		var xx = [];
		var z = 0;
		var zz = 0;
			
		$('#grid').html('Fetching data');
			$.ajax({
					type: "POST",
					url: "json_aging.php", 
					success: function(result){
					
					goSuccess();
				$('#grid').html('');
					}}); 
			
			function goSuccess(){
			$.getJSON("aging.json", function (data) {
			
			$.each(data, function (index, m) {
				z++;
				var obj = { 
					Collector: data[index].Collector,
				Area: data[index].Area,
				AcctNo: data[index].AcctNo,
				CustName: data[index].CustName,
				Items: data[index].Items,
				LCD: data[index].LCD,
				LCA: data[index].LCA,
				Term: data[index].Term,
				MA: data[index].MA,
				DD: data[index].DD,
				Remarks: data[index].Remarks,
				Age: data[index].Age,
				demo: '<button class="btn btn-sm btn-info select" id='+data[index].AcctNo+'><span class="fa fa-check"></span></button>'
    };
			x.push(obj);
	
				
			 if(z === data.length) {
				 loadx();
				}else{
					
			
				}
			
			});
     
	
			function loadx(){
			
			$("#grid").shieldGrid({
				 dataSource: {
                       data: x,
			             },
			schema: {
                    fields: {
                       fields: {
                        AcctNo: { type: Number },
                        Collector: { type: String },
                        Area: { type: String },
                        CustName: { type: String },
                        Items: { type: String },
                        LCD: { type: String },
                        LCA: { type: String },
                        Term: { type: String },
                        MA: { type: String },
                        DD: { type: String },
                        Remarks: { type: String },
                        Age: { type: Number }
                       
                      
                    }
                      
                      
                    }
                },
			columns: [
                { field: "Collector", width: "185px", title: "Collector", locked: false  },
                { field: "Area", width: "200px",  title: "Area", locked: false   },
                { field: "CustName", width: "200px",title: "Customername", locked: false  },
                { field: "AcctNo", width: "200px",title: "AccNo" },
                { field: "Items",width: "200px", title: "Items" },
                { field: "LCD",width: "200px", title: "LCD" },
                { field: "LCA",width: "200px", title: "LCA" },
                { field: "Term",width: "200px", title: "Term" },
                { field: "MA",width: "200px", title: "MA" },
                { field: "DD",width: "200px", title: "DD" },
                { field: "Remarks",width: "200px", title: "Remarks" },
                { field: "Age",width: "200px", title: "Penalty" },
                { field: "Age",width: "200px", title: "CM" },
                { field: "Age",width: "200px", title: "DM" },
                { field: "Age",width: "200px", title: "Collection" },
				{
                    title: "Command Column",
                    width: "140px",
                    buttons: [
		            {
		                cls: "myButtonCssClass",
		                caption: "<div class='details'></div>Edit Details",
		                commandName: "details",
		                click: function (rowIndex) {
		                    var item = $("#grid").swidget().dataItem(rowIndex);
		                    var value = "Name: " + item.CustName + "\n" + "AccountNo:  " + item.AcctNo +
                                "\n" + "Item:  " + item.items + "\n" + "Collector: " + item.Collector;
		                    alert(value);
		                }
		            }]
                },
               
               
              
            
            ],
			  filtering: {
                enabled: true
            },
			
			height:"500px",
			width:"800px",
			  paging: {
                pageSize: 20,
                pageLinksCount: 10
            },
               sorting:{
                multiple: true
            },
				resizing: true,
				scrolling:true,
			
            selection: {
				type: "row",
                multiple: true,
                toggle: false,
                drawArea: false
        
			},
			   
        });
				
		  var dataSource = $("#grid").swidget().dataSource,
                input = $("#filterbox input"),
                timeout,
                value;
            input.on("keydown", function () {
                clearTimeout(timeout);
                timeout = setTimeout(function () {
                    value = input.val();
                    if (value) {
                        dataSource.filter = {
                            or: [
                                { path: "item_code", filter: "contains", value: value },
                                { path: "description", filter: "contains", value: value },
                                { path: "item_class", filter: "contains", value: value },
                                { path: "cos_gl", filter: "contains", value: value },
                                { path: "inventory_gl", filter: "contains", value: value },
                                { path: "cs_gl", filter: "contains", value: value },
                              
                                { path: "customfield1", filter: "contains", value: value },
                                { path: "customfield2", filter: "contains", value: value },
                                { path: "customfield3", filter: "contains", value: value },
                                { path: "customfield4", filter: "contains", value: value },
                                { path: "customfield5", filter: "contains", value: value },
                                { path: "company", filter: "contains", value: value }
                             
                            ]
                        };
                    }
                    else {
                        dataSource.filter = null;
                    }
                    dataSource.read();
                }, 300);
            });
		};

});
	 
		
		
		
		
			}
		
		
		
		
		
		
		
		
		
		
				
	
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

	
	
	
					
					$('.view').on('click',function(){
						
					$.ajax({
					type: "POST",
					url: "generate_list.php?class=1", 
					success: function(result){
					
					$(".generatelist").html(result);
					
					}}); 
					});
					$('#grid').on('click','.select',function(){
		
							var id = $(this).attr('id');
							var data = "item_id="+id;
							$.ajax({
							 url: "php/select_item.php?addGenerate=1&c=1",
							 type: "POST",
							 data: data,
						  	success: function(d) {
								
					
								}
							  }); 
							var x = parseInt($('.noselected').text()) + 1;
							
							$('.noselected').html((x));
						$(this).closest('tr').hide();									  
							
							
					
		
		
		});	
	
	
  }); // End of use strict
	
   
		</script>
        <script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>

        <!-- Peity chart-->
    

        <script src="assets/js/app.js"></script>
		
<style>
    .sui-filter-cell:last-child button {
        display: none;
    }
	.sui-grid-core .sui-cell{
	padding : 2px;	
	}
</style>
    </body>
</html>
